Get Accounts at Bank (IDs only)
GET /obp/v7.0.0/banks/BANK_ID/accounts/account_ids/private
OBPv3.0.0-getPrivateAccountIdsbyBankId No role required AccountAccount Information Service (AIS)PSD2
Returns only the list of accounts ids at BANK_ID that the user has access to.
Each account must have at least one private View.
For each account the API returns its account ID.
If you want to see more information on the Views, use the Account Detail call.
optional request parameters:
- account_type_filter: one or many accountType value, split by comma
- account_type_filter_operation: the filter type of account_type_filter, value must be INCLUDE or EXCLUDE
whole url example: /banks/BANK_ID/accounts/account_ids/private?account_type_filter=330,CURRENT+PLUS&account_type_filter_operation=INCLUDE
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (2)
- accounts
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
Example success response
{
"accounts": [
{
"id": "5995d6a2-01b3-423c-a173-5481df49bdaf"
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-50000: Unknown Error.